<?php

class featuredbox_upgrade
{
    var $parent;
    
    function __construct($parent)
    {
        $this->parent = $parent;
        
        register_activation_hook(__FILE__, array(&$this, 'featuredbox_install'));
        add_action('plugins_loaded', array(&$this, 'featuredbox_upgrade_check'));
    }
    
    function featuredbox_install()
    {
        global $wpdb;

        if(get_option("featuredbox_version") != $this->parent->ver) {
            $table = $wpdb->get_results("SHOW TABLES LIKE '".$wpdb->prefix."featuredbox'");
            if (count($table) > 0){
                $table_rows = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."featuredbox WHERE 1");
                if (count($table_rows) > 0) {
                    foreach ($table_rows as $row) {
                        $new_post = array(
                            'post_type' => 'featuredbox',
                            'post_title' => $row->title,
                            'post_status' => 'publish',
                            'post_author' => get_current_user_id(),
                        );
                        
                        $post_id = wp_insert_post($new_post);
                        update_post_meta($post_id, 'featuredbox_meta_url', esc_attr($row->url));
                    }
                }
            }
            
            $wpdb->query("DROP TABLE wp_featuredbox;");
        }
        
        update_option("featuredbox_version", $this->parent->ver);
    }

    public function featuredbox_upgrade_check()
    {
        if (get_option('featuredbox_version') != $this->parent->ver) {
            $this->featuredbox_install();
        }
    }
}

?>